Subject: Trainer Candidate - Rakesh Mohan
From: Rakesh Mohan <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 3 Jun 2021 05:59:10 -0400

| | Tech Support Test

Name | Rakesh Mohan
E-mail | [email-masked]
Phone Number | (0120) 201014
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Indrapuram, Ghaziabad

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Digitech call system | Senior Manager | | 70000/-
Previous Employer 1 | Iccs BPO | Service Delivery Manager | | 57000/-
Previous Employer 2 | Rural shores BPO | Call Center Manager | | 40000/-

If Selected, how much time do you need to join? | 15

Please briefly describe your work experience specifically in training?

A service-focused professional offering nearly 15 years of notable contribution in the entire gamut of Customer Service and Call Center Operations Management in the . Proficient in giving the best in class Customer Service standard at Call Centres in Inbound Operations, Backend Operations, Outbound Operations .

Proficient at managing process operations & experience of developing procedures, service standards for business excellence

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | No

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

Managing a team is ideally a core competencies of any of the supervisor/leader and this should be handled efficiently. Good leader always create a good team but there are certain situation wherein process get impacted due to inadequate required resources which turn to the tough situation. Recent challenge is work from home option which has created unnecessary disaster to manage the team remotely without impacting the metrics, below are the pointers for your reference
1. Dialer support, tough to get people logged in due to dialer issues, difficult to call agents many times to login
2. Technical support/Connectivity issues which impact overall customer experience.
3. Pre/Post shift briefing to the Work from home associates.
4. Lot of technical challenges while connecting people on Zoom app for any further training and refresher
5. Very difficult to do real time monitoring.
6. Feedback and coaching is missing with most of the under performing agents.
7. Transferring the escalation calls is a challenges.
8. frequent login/logout which leads productivity loss.
9. Real time monitoring and assistance is the biggest challenge.
10. data security breach.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Customer service is good once we reach to the customer expectation and ensure to provide him all required information, I believe satisfied customer expectations ends at 100% wherein Customer delight starts from 100% so to improve the customer experience below points needs to be strictly adhered.
Provide easy way to contact you
Add personal touch
Query resolution as per the customer expectation which feel customer delight
Information delivery
Customer follow up
Feedback calling.

What according to you makes you a good candidate for this position? | Looking at the profile requirement, I strongly believe thatI have all those skill set and qualities  to perform the job and give immediate impact, I am quick learner and shall meet the target as soon as possible. I am kind of leader who believe in helping and developing the team skillset as per the requirement & trust me if you hire me, you will find the trustworthy, honest and loyal leader who will put in hard efforts for organization goal. Hiring me like immediate return on your investment. I am positive thinker and I genuinely believe in team work to reach to the organization objective.
On a scale of 1 - 5 please rate your fluency in spoken English | 4

| |